Author Topic: error when executing  (Read 3363 times)

Offline mrkcc

  • Multiple posting newcomer
  • *
  • Posts: 11
error when executing
« on: April 29, 2011, 07:59:08 pm »
It is that to compile the example plugin of works all right, but to do this, or install the plugin, it tells me this message that does not work.



http://img854.imageshack.us/i/errorcodeblocs.jpg/

But when compiling an example a bit more elaborate also tells me this message.

|10|warning: C:\cb_svn\trunk\src\include/sdk.h.gch: not used because `wxPG_USE_WXMODULE' not defined|
|10|warning: C:\cb_svn\trunk\src\include/sdk.h.gch: not used because `wxPG_USE_WXMODULE' not defined|
|10|warning: C:\cb_svn\trunk\src\include/sdk.h.gch: not used because `wxPG_USE_WXMODULE' not defined|
ld.exe||cannot find -lwxmsw28u_gcc_cb|

and I'm using
g++ (TDM-2 mingw32) 4.4.1

I hope your answers.
« Last Edit: April 29, 2011, 08:00:59 pm by mrkcc »

Online stahta01

  • Lives here!
  • ****
  • Posts: 6996
    • My Best Post
Re: error when executing
« Reply #1 on: April 29, 2011, 09:24:14 pm »
Code: [Select]
warning: C:\cb_svn\trunk\src\include/sdk.h.gch: not used because `wxPG_USE_WXMODULE' not defined

You can ignore this warning the errors and warning on CB startup you need to fix.

What version of the Code::Blocks SDK are you using?
What version of Code::Blocks are you trying to use the Plug-In with?
The above two version not being the same causes the message you linked to pop up.

The wx library link issue has multiple fixes depending on what you are trying to do.

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline mrkcc

  • Multiple posting newcomer
  • *
  • Posts: 11
Re: error when executing
« Reply #2 on: April 30, 2011, 02:13:36 am »
follow the steps of the wiki to compile everything and I went well.

I'm using the current version 10.5.

and I am compiling the example of Hello world of wiki page.
« Last Edit: April 30, 2011, 02:21:36 am by mrkcc »

Online stahta01

  • Lives here!
  • ****
  • Posts: 6996
    • My Best Post
Re: error when executing
« Reply #3 on: April 30, 2011, 02:16:38 am »
What is the version of the Code::Blocks SDK?

NOTE: The versions MUST MATCH or you get the error!!!

Read this; if you know programming it should help you to link to the wxWidgets DLL and might get ride of the CB SDK version issue.
http://wiki.codeblocks.org/index.php?title=Linking_the_plugin_to_a_Nightly_Build

NOTE: If you want to use the plugin with Code::Blocks version 10.05
The directions for "Step Two - Get Sources" are NOT the right directions.
http://svn.berlios.de/svnroot/repos/codeblocks/branches/release-10.05/

Do you understand what the Code::Blocks SDK is?

Tim S.
« Last Edit: April 30, 2011, 02:29:20 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline mrkcc

  • Multiple posting newcomer
  • *
  • Posts: 11
Re: error when executing
« Reply #4 on: April 30, 2011, 02:23:43 am »
   
If you use the daily version or Nightly_Build

Online stahta01

  • Lives here!
  • ****
  • Posts: 6996
    • My Best Post
Re: error when executing
« Reply #5 on: April 30, 2011, 02:31:12 am »
Bye, it is obvious that we can not communicate; I gave the information; but, I do not think you understand it.

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org